## powerpc-utils 1.2.18+r1.1.3

=== Makefile ===
#
# Makefile      Makefile for Powermac/Linux specific programs
#               Targets:   all		compiles everything
#                          install	installs the binaries
#			   installdevs	creates necessary devices
#                          clean	cleans up
#
# Version:      @(#)Makefile  1.01  06-May-1997  Richard van Hees
#

prefix =
exec_prefix = ${prefix}
usr_prefix  = ${prefix}/usr
bindir	 = $(exec_prefix)/bin
devsdir  = ${prefix}/dev
ubindir  = $(usr_prefix)/bin
sbindir  = $(exec_prefix)/sbin
usbindir = $(usr_prefix)/sbin
mandir	 = $(usr_prefix)/man
man1dir  = $(usr_prefix)/man/man1
man8dir  = $(usr_prefix)/man/man8

SGMLMAN	= sgml2txt -man
CC	= gcc -Wall -Wstrict-prototypes
CFLAGS	= -O2 -fsigned-char 
LDFLAGS = -s
INSTALL	= /usr/bin/install -c
SOUND_INC = -I.

PROGS	= clock fdeject mousemode nvsetenv nvvideo sndvolmix vmode
SCRIPTS	= macos

# DEPENDENCIES:
all:	$(PROGS) $(SCRIPTS)

clock:
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $@.c

fdeject:
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $@.c

mousemode:
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $@.c

nvsetenv:
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $@.c

nvvideo:
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $@.c

sndvolmix:
	$(CC) $(CFLAGS) $(SOUND_INC) $(LDFLAGS) -o $@ $@.c

vmode:
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $@.c

man:
	$(SGMLMAN) clock.sgml
	$(SGMLMAN) fdeject.sgml
	$(SGMLMAN) mousemode.sgml
	$(SGMLMAN) nvsetenv.sgml
	$(SGMLMAN) nvvideo.sgml
	$(SGMLMAN) sndvolmix.sgml
	$(SGMLMAN) vmode.sgml
	$(SGMLMAN) macos.sgml

installdirs:
	./mkinstalldirs $(DESTDIR)$(sbindir) $(DESTDIR)$(ubindir) \
			$(DESTDIR)$(man1dir) $(DESTDIR)$(man8dir) \
			$(DESTDIR)$(usbindir) $(DESTDIR)$(devsdir)

installdevs:
	@if [ ! -c $(DESTDIR)$(devsdir)/adb ]; then \
		echo "Creating $(DESTDIR)$(devsdir)/adb ..."; \
		mknod $(DESTDIR)$(devsdir)/adb c 56 0; \
		chmod 600 $(DESTDIR)$(devsdir)/adb; \
	fi
	@if [ ! -c $(DESTDIR)$(devsdir)/nvram ]; then \
		echo "Creating $(DESTDIR)$(devsdir)/nvram ..."; \
		mknod $(DESTDIR)$(devsdir)/nvram c 10 144; \
		chmod 644 $(DESTDIR)$(devsdir)/nvram; \
	fi
	@if [ ! -c $(DESTDIR)$(devsdir)/mixer ]; then \
		echo "Creating $(DESTDIR)$(devsdir)/mixer ..."; \
		mknod $(DESTDIR)$(devsdir)/mixer c 14 0; \
		chmod 644 $(DESTDIR)$(devsdir)/mixer; \
	fi
	@if [ ! -c $(DESTDIR)$(devsdir)/dsp ]; then \
		echo "Creating $(DESTDIR)$(devsdir)/dsp ..."; \
		mknod $(DESTDIR)$(devsdir)/dsp c 14 3; \
		chmod 644 $(DESTDIR)$(devsdir)/dsp; \
	fi
	@if [ ! -c $(DESTDIR)$(devsdir)/audio ]; then \
		echo "Creating $(DESTDIR)$(devsdir)/audio ..."; \
		mknod $(DESTDIR)$(devsdir)/audio c 14 4; \
		chmod 644 $(DESTDIR)$(devsdir)/audio; \
	fi
	@if [ ! -c $(DESTDIR)$(devsdir)/sndstat ]; then \
		echo "Creating $(DESTDIR)$(devsdir)/sndstat ..."; \
		mknod $(DESTDIR)$(devsdir)/sndstat c 14 6; \
		chmod 600 $(DESTDIR)$(devsdir)/sndstat; \
	fi

install:	all man installdirs
	$(INSTALL) -m 4511  clock $(DESTDIR)$(sbindir) 
	$(INSTALL) -m 755   nvsetenv nvvideo $(DESTDIR)$(sbindir)
	$(INSTALL) -m 755   mousemode sndvolmix vmode $(DESTDIR)$(usbindir)
	$(INSTALL) -m 755   fdeject $(DESTDIR)/$(ubindir)
	$(INSTALL) -m 755   $(SCRIPTS) $(DESTDIR)$(sbindir)

	$(INSTALL) -m 644   fdeject.man	$(DESTDIR)$(man1dir)/fdeject.1
	$(INSTALL) -m 644   clock.man	$(DESTDIR)$(man8dir)/clock.8
	$(INSTALL) -m 644   mousemode.man	$(DESTDIR)$(man8dir)/mousemode.8
	$(INSTALL) -m 644   nvsetenv.man	$(DESTDIR)$(man8dir)/nvsetenv.8
	$(INSTALL) -m 644   nvvideo.man	$(DESTDIR)$(man8dir)/nvvideo.8
	$(INSTALL) -m 644   sndvolmix.man	$(DESTDIR)$(man8dir)/sndvolmix.8
	$(INSTALL) -m 644   vmode.man	$(DESTDIR)$(man8dir)/vmode.8
	$(INSTALL) -m 644   macos.man	$(DESTDIR)$(man8dir)/macos.8

cleanobjs:
	$(RM) *.o *.bak *~ *.man *.1 *.8

clean:	cleanobjs
	$(RM) $(PROGS)

## powerpc-utils 1.3.1

=== debian/changelog ===
powerpc-utils (1.3.1-2ubuntu0.3) xenial; urgency=medium

  * d/p/Improve-perf-of-drmgr-lsslot-with-large-num-of-virt.patch:
    Fix scaling with large number of virtual adapters.  LP: #1692837
  * d/p/drmgr-Stale-errno-usage-corrections.patch,
    d/p/drmgr-Correct-errno-usage-use-in-validate_paltform.patch,
    d/p/drmgr-Correct-errno-usage-in-init_cpu_info.patch:
    Fix failures during scale-up test on Novalink System.  LP: #1696434
    
 -- Breno Leitao <leitao@debian.org>  Fri, 09 Jun 2017 10:39:15 -0400

powerpc-utils (1.3.1-2ubuntu0.2) xenial; urgency=medium

  * d/p/0001-errinjct-Correct-config_addr-parsing.patch,
    d/p/0002-errinjct-Recognize-5-return-from-rtas.patch,
    d/p/0003-errinjct-Correct-read_file-error-checking.patch:
    Cherry-pick fixes from upstream to fix failures with errinjct on
    Shiner-T & Grand Canyon systems.  LP: #1597365.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 14 Jan 2017 18:57:24 -0800

powerpc-utils (1.3.1-2ubuntu0.1) xenial; urgency=medium

  * debian/patches/bashisms.patch: Fix bashism in update_flash_nv.
    Closes LP: #1599191.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Jul 2016 15:52:05 -0700

powerpc-utils (1.3.1-2) unstable; urgency=medium

  * Don't ship /usr/sbin/snap, it's only used on RHEL and SLES installs.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 17 Apr 2016 06:46:05 -0600

powerpc-utils (1.3.1-1) unstable; urgency=medium

  * New upstream release, update debian/copyright to GPL (LP: #1539542)
  * Rewrite debian/watch file to track upstream's move to github/nfont.
  * Update Standards-Version to 3.9.7 and tidy up our lintian warnings.
  * Utilize dh-autoreconf because upstream no longer ships ./configure.
  * 01_ipmitool_check.patch: Suggest package install in ipmitool check.
  * 02_systool_check.patch: Fix and ipmrove systool test (LP: #1529590)
  * debian/control: Suggest sysfsutils and ipmitool for the above bits.

 -- Adam Conrad <adconrad@0c3.net>  Tue, 29 Mar 2016 16:09:42 -0600

powerpc-utils (1.2.26-3) unstable; urgency=medium

  * Rename to powerpc-utils to match upstream (LP: #1523627)
  * Provide metapackage to pull in pmac-utils on BE arches.

 -- Adam Conrad <adconrad@0c3.net>  Sun, 27 Mar 2016 13:47:47 -0600

powerpc-ibm-utils (1.2.26-2) unstable; urgency=medium

  * bad_variable.patch: Add extra quoting to update_flash (LP: #1491977)
  * stop_kexec_nv.patch: Stop kexec before starting flash (LP: #1491063)
  * stop_kexec_vm.patch: Likewise, but also do it for PowerVM platforms.

 -- Adam Conrad <adconrad@0c3.net>  Thu, 15 Oct 2015 21:46:32 -0600

powerpc-ibm-utils (1.2.26-1) unstable; urgency=medium

  * New upstream release, with many drmgr memory fixes (LP: #1455580)
  * debian/control: Bump to Standards-Version 3.9.6, with no changes.

 -- Adam Conrad <adconrad@0c3.net>  Mon, 27 Jul 2015 15:03:45 -0600

powerpc-ibm-utils (1.2.25-1) unstable; urgency=medium

  * New upstream release, with LE and hotplug fixes (LP: #1441856)
  * Drop our ppc64_cpu manpage, upstream has written a better one.

 -- Adam Conrad <adconrad@0c3.net>  Mon, 13 Apr 2015 11:14:55 -0600

powerpc-ibm-utils (1.2.24-1) unstable; urgency=medium

  * New upstream release, with still more LE fixes (closes: #767854)
  * Update debian/watch site from ozlabs to sf.net (closes: #774958)

 -- Adam Conrad <adconrad@0c3.net>  Fri, 16 Jan 2015 16:04:49 -0700

powerpc-ibm-utils (1.2.22-1) unstable; urgency=medium

  * New upstream release, with more little-endian fixes (LP: #1359422)

 -- Adam Conrad <adconrad@0c3.net>  Fri, 03 Oct 2014 15:50:11 -0600

powerpc-ibm-utils (1.2.21-1) unstable; urgency=medium

  * Adopt powerpc-ibm-utils, in conjuction with IBM (closes: #677761)
  * New upstream release, with several endianness and other bug fixes.
  * Define the new --threads-per-core option in our ppc64_cpu manpage.

 -- Adam Conrad <adconrad@0c3.net>  Sun, 29 Jun 2014 23:03:37 -0600

powerpc-ibm-utils (1.2.20-1) unstable; urgency=medium

  * QA Upload.
  * New upstream release, with ofpathname and lsslot fixes.
  * ofpathname should work on all platforms now (closes: #611588),
    though still doesn't handle appending partition info (#405337)

 -- Adam Conrad <adconrad@debian.org>  Sun, 23 Mar 2014 11:13:24 -0600

powerpc-ibm-utils (1.2.19-1) unstable; urgency=medium

  * QA Upload.
  * New upstream release (closes: #737112)
  * Convert to dh(1) and bump build-dep to debhelper 9.
  * Drop obsolete debian/patches.
  * Enable build on ppc64el.
  * Update ppc64_cpu manpage with new options.
  * Add missing build-dep on zlib1g-dev.

 -- Adam Conrad <adconrad@debian.org>  Wed, 12 Mar 2014 13:50:07 -0600

powerpc-ibm-utils (1.2.12-1) unstable; urgency=low

  * QA upload.
  * Set the maintainer to Debian QA Group <packages@qa.debian.org> and remove
    the uploaders.
  * New upstream version:
    - Fixes build with non-bash shells (closes: #612543).
    - Fixes ofpathname (closes: #607001)
    - Add a build-depends on librtas-dev, librtasevent-dev.
  * Add a depends on bc for ofpathname (closes: #625728).
  * Switch to 3.0 (quilt) format.
  * Add build-arch and build-indep targets.
  * Bump Standards-Version to 3.9.3.
  * Remove Vcs-* entries from debian/control as they are not valid anymore.
  * Add ppc64 to the list of architectures.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 29 Jun 2012 23:54:32 +0000

powerpc-ibm-utils (1.1.0-1) unstable; urgency=low

  * New upstream release. (Closes: #436937)
    + Write and add a manpage for the ppc64_cpu utility.
    + Update long description in debian/control to include the
      ppc64_cpu utility.
  * These utilities are not really tied to a specific bootloader,
    such as yaboot, because grub2 makes use of ofpathname. Therefore,
    instead of the Yaboot Maintainers Team, set the maintainer to me.
  * Switch from dpatch to quilt.
  * Bump Standards-Version to 3.7.3.
  * Add the Homepage field and remove it from the long description.
  * Add the Vcs-Git/Vcs-Browser fields.


## powerpc-utils 1.3.2

=== debian/changelog ===
powerpc-utils (1.3.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * 03_udevadm_path.patch: Switch udevadm path prefix
    from /sbin to /bin (closes: #852575)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 10 Feb 2019 14:35:38 +0100

powerpc-utils (1.3.2-1) unstable; urgency=medium

  * New upstream release, including bashism fix (closes: #830089)

 -- Adam Conrad <adconrad@0c3.net>  Fri, 22 Jul 2016 17:18:12 -0600

=== debian/control ===
Source: powerpc-utils
Section: utils
Priority: important
Maintainer: Adam Conrad <adconrad@0c3.net>
Uploaders: Frederic Bonnard <frederic@fr.ibm.com>
Build-Depends: debhelper (>= 9), dh-autoreconf, librtas-dev, librtasevent-dev, zlib1g-dev
Standards-Version: 3.9.7
Homepage: http://powerpc-utils.ozlabs.org/

Package: powerpc-utils
Section: metapackages
Architecture: powerpc ppc64 ppc64el
Depends: ${misc:Depends}, powerpc-ibm-utils, pmac-utils [powerpc ppc64]
Description: utilities for maintenance of PowerPC platforms (metapackage)
 The powerpc-utils metapackage pulls in the appropriate tools for each
 Debian PowerPC port.

Package: powerpc-ibm-utils
Architecture: powerpc ppc64 ppc64el
Depends: ${shlibs:Depends}, ${misc:Depends}, bash (>= 3), bc
Suggests: sysfsutils, ipmitool
Description: utilities for maintenance of IBM PowerPC platforms
 The powerpc-ibm-utils package provides the utilities listed below
 which are intended for the maintenance of PowerPC platforms. Further
 documentation for each of the utilities is available from their
 respective man pages.
 .
  * nvram - NVRAM access utility
  * bootlist - boot configuration utility
  * ofpathname - translate logical device names to OF names
  * snap - system configuration snapshot
  * ppc64_cpu - cpu settings utility

## powerpc-utils 1.3.4

=== addon/Makefile ===
## Makefile for powerpc-utils-sles10-addons

PPU_ADDONS_NAME = powerpc-utils-sles10-addons
VERSION = 1.0.2

SCRIPTS = ../scripts/lsdevinfo ../scripts/ls-vdev ../scripts/ls-veth ../scripts/ls-vscsi
UTILS = ../src/drmgr/drmgr ../src/drmgr/lsslot
DOCS = ../COPYRIGHT README

INSTALL = /usr/bin/install
SBIN_DIR = /usr/sbin
DOC_DIR = /usr/share/doc/packages/$(PPU_ADDONS_NAME)

PPU_TARNAME = powerpc-utils-1.2.8
PPU_ADDONS_TARNAME = $(PPU_ADDONS_NAME)-$(VERSION)

all:

install:
	$(INSTALL) -d -m 755 $(DESTDIR)$(SBIN_DIR)
	$(foreach f,$(SCRIPTS),$(INSTALL) -m 744 $f $(DESTDIR)$(SBIN_DIR);)
	$(foreach f,$(UTILS),$(INSTALL) -m 744 $f $(DESTDIR)$(SBIN_DIR);)
	$(INSTALL) -d -m 755 $(DESTDIR)$(DOC_DIR)
	$(foreach f,$(DOCS),$(INSTALL) -m 744 $f $(DESTDIR)$(DOC_DIR);)

dist:
	$(MAKE) -C .. dist
	tar -xzf ../$(PPU_TARNAME).tar.gz
	mv $(PPU_TARNAME) $(PPU_ADDONS_TARNAME)
	mkdir $(PPU_ADDONS_TARNAME)/addon
	cp Makefile $(PPU_ADDONS_TARNAME)/addon
	cp README $(PPU_ADDONS_TARNAME)/addon
	cp powerpc-utils-sles10-addons.spec $(PPU_ADDONS_TARNAME)/addon
	tar -chof $(PPU_ADDONS_TARNAME).tar $(PPU_ADDONS_TARNAME)
	gzip $(PPU_ADDONS_TARNAME).tar
	rm -rf $(PPU_ADDONS_TARNAME)

=== debian/changelog ===
powerpc-utils (1.3.4-0ubuntu2) bionic; urgency=medium

  * Cherrypick patch resolving more null byte command substitution warnings in
    lsdevinfo. (LP: #1692420)

 -- Brian Murray <brian@ubuntu.com>  Thu, 05 Apr 2018 14:08:00 -0700

powerpc-utils (1.3.4-0ubuntu1) bionic; urgency=medium

  * New upstream release
  * Continue to revert disable of using in-kernel DLPAR functionality, as Ubuntu ships
    new enough kernel.
  * Cherrypick patches to use device tree to get firmware version
    details. LP: #1752395
  * Refresh patches with better suggestions to install optional packages.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 Mar 2018 13:01:31 +0000

powerpc-utils (1.3.2-1ubuntu3) artful; urgency=medium

  * d/p/scripts-Command-substituion-warning.patch: fix bash warning
    "command substitution: ignored null byte in input" in ls-veth,
    ls-vscsi, lsdevinfo, and ofpathname; fix "cd: too many arguments"
    in ofpathname. LP: #1692420.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Thu, 24 Aug 2017 09:48:27 -0700

powerpc-utils (1.3.2-1ubuntu2) artful; urgency=medium

  * d/p/in-kernel-dlpar.patch: fix FTBFS.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 19 Jun 2017 14:18:01 -0700

powerpc-utils (1.3.2-1ubuntu1) artful; urgency=medium

  * d/p/Improve-perf-of-drmgr-lsslot-with-large-num-of-virt.patch,
    d/p/in-kernel-dlpar.patch:
    Fix scaling with large number of virtual adapters.  LP: #1692837
  * d/p/drmgr-Stale-errno-usage-corrections.patch,
    d/p/drmgr-Correct-errno-usage-use-in-validate_paltform.patch,
    d/p/drmgr-Correct-errno-usage-in-init_cpu_info.patch:
    Fix failures during scale-up test on Novalink System.  LP: #1696434

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 19 Jun 2017 14:06:01 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: powerpc-utils
 Section: utils
 Priority: important
-Maintainer: Adam Conrad <adconrad@0c3.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Adam Conrad <adconrad@0c3.net>
 Uploaders: Frederic Bonnard <frederic@fr.ibm.com>
 Build-Depends: debhelper (>= 9), dh-autoreconf, librtas-dev, librtasevent-dev, zlib1g-dev
 Standards-Version: 3.9.7

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/powerpc-utils-$1\.tar\.gz/ \
  https://github.com/nfont/powerpc-utils/releases .*/v?(\d\S*)(?<!1.4)\.tar\.gz

## powerpc-utils 1.3.7

=== debian/changelog ===
powerpc-utils (1.3.7-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 02 May 2020 23:50:32 -0700

powerpc-utils (1.3.7-1) unstable; urgency=medium

  * New upstream release (closes: #907594, #916746)
  * Set myself as maintainer in debian/control (closes: #956952)
  * Add Vcs-* fields to debian/control
  * Drop all patches from previous package version
  * Update patch to fix path prefix for udevadm in ofpathname
  * Add partition support for IDE and SCSI disks
    in ofpathname (closes: #405337)
  * Add patch to add support for SATA plug IDs in ofpathname
  * Add patch to add support for Apple PowerMacs
    in ofpathname (closes: #882076)
  * Update debhelper compatibility level to 12 in debian/compat
  * Update authors and years in debian/copyright
  * Update Standards-Version to 4.5.0 in debian/control

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 19 Apr 2020 18:54:52 +0200

## powerpc-utils 1.3.8

=== debian/changelog ===
powerpc-utils (1.3.8-3) unstable; urgency=medium

  * Add patch to move definition of SYS_PATH from l2of_vs() to l2of_scsi()

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 09 Feb 2021 00:40:45 +0100

powerpc-utils (1.3.8-2) unstable; urgency=medium

  * Add patch to fix format specifiers in printf() and sprintf() calls
  * Add patch to replace incorrect use of strncpy() with memcpy()

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 08 Nov 2020 13:41:19 +0100

powerpc-utils (1.3.8-1) unstable; urgency=medium

  * New upstream release
  * Drop debian/patches for old upstream version, all merged upstream
  * Add patch to change udvadm program path from /usr/bin to /bin
  * Update debhelper version to 12 and switch to debhelper-compat

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 01 Nov 2020 20:54:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: powerpc-utils
 Section: utils
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Adam Conrad <adconrad@0c3.net>
+Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
 Uploaders: Frederic Bonnard <frederic@fr.ibm.com>
-Build-Depends: debhelper (>= 9), dh-autoreconf, librtas-dev, librtasevent-dev, zlib1g-dev
-Standards-Version: 3.9.7
+Build-Depends: debhelper-compat (= 12), dh-autoreconf, librtas-dev, librtasevent-dev, zlib1g-dev
+Standards-Version: 4.5.0
 Homepage: http://powerpc-utils.ozlabs.org/
+Vcs-Browser: https://salsa.debian.org/debian/powerpc-utils
+Vcs-Git: https://salsa.debian.org/debian/powerpc-utils.git
 
 Package: powerpc-utils
 Section: metapackages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf --parallel

# Remove non-FHS doc directory installed by upstream Makefile:
override_dh_auto_install:
	dh_auto_install
	rm -rf debian/tmp/usr/share/doc/packages
	# snap is only useful on RHEL/SLES:
	rm debian/tmp/usr/sbin/snap
	rm debian/tmp/usr/share/man/man8/snap.8

## powerpc-utils 1.3.9

=== debian/changelog ===
powerpc-utils (1.3.9-1ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Add d/p/0002-Fix-gcc-10-compilation.patch to fix more compilation
      under GCC-10.
    - Disable lto for now. See LP #1922078.

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 20 Jan 2022 10:00:03 +0100

powerpc-utils (1.3.9-1) unstable; urgency=medium

  * New upstream release
  * Add libnuma-dev to Build-Depends in debian/control
  * Drop patch to move definition of SYS_PATH from
    l2of_vs() to l2of_scsi(), merged upstream
  * Update Standards-Version to 4.5.1 in debian/control

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 31 Aug 2021 16:29:45 +0200

powerpc-utils (1.3.8-3ubuntu2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:22:25 +0200

powerpc-utils (1.3.8-3ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Add d/p/0002-Fix-gcc-10-compilation.patch to fix more compilation
      under GCC-10.
    - Disable lto for now. See LP #1922078.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 May 2021 14:23:14 +0200

powerpc-utils (1.3.8-2ubuntu2) hirsute; urgency=medium

  * Disable lto for now. See LP #1922078.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Mar 2021 12:53:30 +0100

powerpc-utils (1.3.8-2ubuntu1) hirsute; urgency=medium

  * Add d/p/0002-Fix-gcc-10-compilation.patch to fix more compilation
    under GCC-10.

 -- Dave Jones <dave.jones@canonical.com>  Mon, 02 Nov 2020 13:20:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: powerpc-utils
 Section: utils
 Priority: important
-Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
 Uploaders: Frederic Bonnard <frederic@fr.ibm.com>
-Build-Depends: debhelper-compat (= 12), dh-autoreconf, librtas-dev, librtasevent-dev, zlib1g-dev
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 12), dh-autoreconf, libnuma-dev, librtas-dev, librtasevent-dev, zlib1g-dev
+Standards-Version: 4.5.1
 Homepage: http://powerpc-utils.ozlabs.org/
 Vcs-Browser: https://salsa.debian.org/debian/powerpc-utils
 Vcs-Git: https://salsa.debian.org/debian/powerpc-utils.git

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
 
 %:
 	dh $@ --with autoreconf --parallel

## powerpc-utils 1.3.10

=== debian/changelog ===
powerpc-utils (1.3.10-2) unstable; urgency=medium

  * Drop bogus --parallel from dh command in debian/rules
  * Update upstream source URL in debian/watch

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 23 Dec 2022 10:32:16 +0100

powerpc-utils (1.3.10-1) unstable; urgency=medium

  * New upstream release
  * Drop patch to replace incorrect use of strncpy()
    with memcpy(), rejected upstream
  * Drop patch to fix format specifiers in printf()
    and sprintf() calls, merged upstream
  * Remove pmac-utils from Depends for powerpc and ppc64
    in debian/control (Closes: #927255, #1020329)
  * Pass --disable-werror to configure script
    in debian/rules (Closes: #1018039)
  * Update Standards-Version to 4.6.2 in debian/control
  * Run wrap-and-sort script to clean up debian/control

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 22 Dec 2022 10:34:25 +0100

=== debian/control ===
Source: powerpc-utils
Section: utils
Priority: important
Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Uploaders: Frederic Bonnard <frederic@fr.ibm.com>
Build-Depends: debhelper-compat (= 12),
               dh-autoreconf,
               libnuma-dev,
               librtas-dev,
               librtasevent-dev,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: http://powerpc-utils.ozlabs.org/
Vcs-Browser: https://salsa.debian.org/debian/powerpc-utils
Vcs-Git: https://salsa.debian.org/debian/powerpc-utils.git

Package: powerpc-utils
Section: metapackages
Architecture: powerpc ppc64 ppc64el
Depends: powerpc-ibm-utils, ${misc:Depends}
Description: utilities for maintenance of PowerPC platforms (metapackage)
 The powerpc-utils metapackage pulls in the appropriate tools for each
 Debian PowerPC port.

Package: powerpc-ibm-utils
Architecture: powerpc ppc64 ppc64el
Depends: bash (>= 3), bc, ${misc:Depends}, ${shlibs:Depends}
Suggests: ipmitool, sysfsutils
Description: utilities for maintenance of IBM PowerPC platforms
 The powerpc-ibm-utils package provides the utilities listed below
 which are intended for the maintenance of PowerPC platforms. Further
 documentation for each of the utilities is available from their
 respective man pages.
 .
  * nvram - NVRAM access utility
  * bootlist - boot configuration utility
  * ofpathname - translate logical device names to OF names
  * snap - system configuration snapshot
  * ppc64_cpu - cpu settings utility

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
+%:
+	dh $@ --with autoreconf
 
-%:
-	dh $@ --with autoreconf --parallel
+override_dh_auto_configure:
+	dh_auto_configure -- --disable-werror
 
 # Remove non-FHS doc directory installed by upstream Makefile:
 override_dh_auto_install:

## powerpc-utils 1.3.11

=== debian/changelog ===
powerpc-utils (1.3.11-1) unstable; urgency=medium

  * New upstream release
  * Drop patch to change udvadm program path from /usr/bin to /bin

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 04 Aug 2023 23:47:39 +0200

## powerpc-utils 1.3.12

=== debian/changelog ===
powerpc-utils (1.3.12-0ubuntu2.1) noble-proposed; urgency=medium

  * SRU: LP: #2076340: No-change rebuild to pick up changed build flags
    on ppc64 and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 Aug 2024 04:33:22 +0200

powerpc-utils (1.3.12-0ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:16:02 +0200

powerpc-utils (1.3.12-0ubuntu1) noble; urgency=medium

  * New upstream release (LP: #2052707)
    - Run update-maintainer script, since this package is now Ubuntu-specific.
    - Remove dh-autoreconf Build-Depends in d/control
      to solve lintian message "useless-autoreconf-build-depends".

 -- Patricia Domingues <patricia.domingues@canonical.com>  Fri, 16 Feb 2024 14:22:16 -0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: powerpc-utils
 Section: utils
 Priority: important
-Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
 Uploaders: Frederic Bonnard <frederic@fr.ibm.com>
 Build-Depends: debhelper-compat (= 12),
-               dh-autoreconf,
                libnuma-dev,
                librtas-dev,
                librtasevent-dev,

## powerpc-utils 1.3.13

=== debian/changelog ===
powerpc-utils (1.3.13-2) unstable; urgency=medium

  * Cherry-pick upstream patches to fix FTBFS with gcc-15 (Closes: #1115718)
    - Add patch to fix ifdef guard typo in pseries_platform.h
    - Add patch to correct librtas function prototypes in nvram.c
    - Add patch to quiet strncpy() warning sys_ident.c

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 20 Sep 2025 08:44:40 +0200

powerpc-utils (1.3.13-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.0 in debian/control

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 20 Nov 2024 17:25:00 +0100

powerpc-utils (1.3.12-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 07 Mar 2024 20:14:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: powerpc-utils
 Section: utils
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
+Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
 Uploaders: Frederic Bonnard <frederic@fr.ibm.com>
 Build-Depends: debhelper-compat (= 12),
+               dh-autoreconf,
                libnuma-dev,
                librtas-dev,
                librtasevent-dev,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://powerpc-utils.ozlabs.org/
 Vcs-Browser: https://salsa.debian.org/debian/powerpc-utils
 Vcs-Git: https://salsa.debian.org/debian/powerpc-utils.git

=== debian/watch ===
version=4
https://github.com/ibm-power-utilities/powerpc-utils/tags .*/v?(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
